<ion-content id="container">
  <div class="controls">
    <p style="color: white;">
      {{year}}
      <ion-fab vertical="top" horizontal="end" slot="fixed">
        <ion-fab-button (click)="isPaused ? startsYearIncrement() : stopsYearIncrement()">
          <ion-icon [name]="isPaused ? 'play':'pause'"></ion-icon>
        </ion-fab-button>
      </ion-fab>
    </p>
    <button (click)="type='depenses'; addData(year, type)">Dépenses</button>
    <button (click)="type='prices'; addData(year, type)">Prix</button>
    <button (click)="type='constructions'; addData(year, type)">Construction</button>
    <button (click)="type='creations'; addData(year, type)">Entreprises</button>
    <h4 style="color:white;">Paris changements : <span [ngStyle]="{'color': parisChanges > 0 ? 'green' : 'red'}">{{parisChanges}}</span></h4>
    <h4 style="color:white;">Rennes changements : <span [ngStyle]="{'color': rennesChanges > 0 ? 'green' : 'red'}">{{rennesChanges}}</span></h4>
  </div>
  <div class="blue-circle circle"></div>
  <div class="purple-circle circle"></div>
  <div id="map"></div>
  <canvas (tap)="test($event)" id="deck-canvas"></canvas>
</ion-content>
